Subject: bug#7704: closed (Re: bug#7704: [PATCH] tests: mv/i-3: avoid false-positive failure on a slow/busy system)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Dec 2010 10:58:02 +0000

Your bug report

#7704: [PATCH] tests: mv/i-3: avoid false-positive failure on a slow/busy system

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7704: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7704
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7704: [PATCH] tests: mv/i-3: avoid false-positive failure on a slow/busy system
From: Jim Meyering <[email-masked]>
To: Stefano Lattarini <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 Dec 2010 12:04:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefano Lattarini wrote:
> Hello Jim.
>
> On Wednesday 22 December 2010, Jim Meyering wrote:
>> > Subject: [PATCH] tests: mv/i-3: avoid false-positive failure on a slow/busy system
>>
>> Whoops.  Since this is just an FYI patch,
>> I should have sent it to coreutils@, not bug-coreutils.
>> Closing...
>>
>> close 7784
>>
> I guess you meant '7704' here.

Good catch.  Thank you.
Safer to append "-done" in the Cc line, which I've just done.
Luckily, 7784 is not yet a valid bug number.

Subject: [PATCH] tests: mv/i-3: avoid false-positive failure on a slow/busy system
From: Jim Meyering <[email-masked]>
To: [email-masked]
Date: Wed, 22 Dec 2010 10:31:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

FYI,

>From a300cfd43ccb3f48f5110a2abf6fe234fece3dc3 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Wed, 22 Dec 2010 10:29:30 +0100
Subject: [PATCH] tests: mv/i-3: avoid false-positive failure on a slow/busy system

* tests/mv/i-3: Quadruple the timeout duration.
Without this, I saw an expired timeout on a heavily-loaded system.
---
 tests/mv/i-3 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/tests/mv/i-3 b/tests/mv/i-3
index 983aad9..7b77273 100755
--- a/tests/mv/i-3
+++ b/tests/mv/i-3
@@ -48,7 +48,7 @@ check_overwrite_prompt()
     *) sleep $delay; return 1;;
   esac
 }
-retry_delay_ check_overwrite_prompt .1 5 || fail=1
+retry_delay_ check_overwrite_prompt .1 7 || fail=1

 kill $pid

--
1.7.3.3